<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/scuart.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">scuart.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d07/scuart_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2scuart_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../dc/d0b/scuart_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga927460a86a8ed68229d40fc736eb251e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga927460a86a8ed68229d40fc736eb251e">SCUART_CHAR_LEN_5</a>&#160;&#160;&#160;(0x3ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td></tr>
<tr class="separator:ga927460a86a8ed68229d40fc736eb251e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3e1ba09b345b595b586d88e51d066ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad3e1ba09b345b595b586d88e51d066ab">SCUART_CHAR_LEN_6</a>&#160;&#160;&#160;(0x2ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td></tr>
<tr class="separator:gad3e1ba09b345b595b586d88e51d066ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a9c3dd4955ab26494e773c07d79652a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2a9c3dd4955ab26494e773c07d79652a">SCUART_CHAR_LEN_7</a>&#160;&#160;&#160;(0x1ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td></tr>
<tr class="separator:ga2a9c3dd4955ab26494e773c07d79652a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga44414b8c1a7255a01135a0e19d4509cc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga44414b8c1a7255a01135a0e19d4509cc">SCUART_CHAR_LEN_8</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga44414b8c1a7255a01135a0e19d4509cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ba056464dc172c46a8c0def775d099c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4ba056464dc172c46a8c0def775d099c">SCUART_PARITY_NONE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae0528c45dfb7a7a074fc1d6f74dd561c">SC_UACTL_PBDIS_Msk</a>)</td></tr>
<tr class="separator:ga4ba056464dc172c46a8c0def775d099c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78fd700049b5b8202a03a8bd57ed102f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga78fd700049b5b8202a03a8bd57ed102f">SCUART_PARITY_ODD</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#acd439b3f7f6abc430f9196ef18a00f86">SC_UACTL_OPE_Msk</a>)</td></tr>
<tr class="separator:ga78fd700049b5b8202a03a8bd57ed102f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2989fb7bc931875fa232c75de71c4e55"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2989fb7bc931875fa232c75de71c4e55">SCUART_PARITY_EVEN</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga2989fb7bc931875fa232c75de71c4e55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cf4a4b7772b91908d7d50fd88b56b93"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cf4a4b7772b91908d7d50fd88b56b93">SCUART_STOP_BIT_1</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a06ffeb93634ff42d4af4db99ffb7003e">SC_CTL_SLEN_Msk</a>)</td></tr>
<tr class="separator:ga2cf4a4b7772b91908d7d50fd88b56b93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad4c40f7ebe7db0653beb72ae2c5a80f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad4c40f7ebe7db0653beb72ae2c5a80f">SCUART_STOP_BIT_2</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:gaad4c40f7ebe7db0653beb72ae2c5a80f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd0a4f5138328de77a59dc96d1fd6b05"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd0a4f5138328de77a59dc96d1fd6b05">SCUART_WRITE</a>(sc,  u8Data)</td></tr>
<tr class="memdesc:gadd0a4f5138328de77a59dc96d1fd6b05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write Data to Tx data register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd0a4f5138328de77a59dc96d1fd6b05">More...</a><br /></td></tr>
<tr class="separator:gadd0a4f5138328de77a59dc96d1fd6b05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee1abdee3061becc4f947c7ec8ba89ad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee1abdee3061becc4f947c7ec8ba89ad">SCUART_GET_TX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:gaee1abdee3061becc4f947c7ec8ba89ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get TX FIFO empty flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee1abdee3061becc4f947c7ec8ba89ad">More...</a><br /></td></tr>
<tr class="separator:gaee1abdee3061becc4f947c7ec8ba89ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga156dbf7f35a69e25f2115822fccfa717"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga156dbf7f35a69e25f2115822fccfa717">SCUART_GET_TX_FULL</a>(sc)</td></tr>
<tr class="memdesc:ga156dbf7f35a69e25f2115822fccfa717"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get TX FIFO full flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga156dbf7f35a69e25f2115822fccfa717">More...</a><br /></td></tr>
<tr class="separator:ga156dbf7f35a69e25f2115822fccfa717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade9c698ba0339eb2d33e55dfc0a10b34"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade9c698ba0339eb2d33e55dfc0a10b34">SCUART_WAIT_TX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:gade9c698ba0339eb2d33e55dfc0a10b34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait specified smartcard port transmission complete.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade9c698ba0339eb2d33e55dfc0a10b34">More...</a><br /></td></tr>
<tr class="separator:gade9c698ba0339eb2d33e55dfc0a10b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ba407cb923c42d48d2a15de2eff42cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ba407cb923c42d48d2a15de2eff42cb">SCUART_IS_TX_FULL</a>(sc)</td></tr>
<tr class="memdesc:ga2ba407cb923c42d48d2a15de2eff42cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified smartcard port transmit FIFO is full or not.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ba407cb923c42d48d2a15de2eff42cb">More...</a><br /></td></tr>
<tr class="separator:ga2ba407cb923c42d48d2a15de2eff42cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04534a2a36ecf8daa392db3fa859f24b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04534a2a36ecf8daa392db3fa859f24b">SCUART_IS_TX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:ga04534a2a36ecf8daa392db3fa859f24b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified smartcard port transmission is over.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04534a2a36ecf8daa392db3fa859f24b">More...</a><br /></td></tr>
<tr class="separator:ga04534a2a36ecf8daa392db3fa859f24b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga88bae72589f1b3169b6f44141624547a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88bae72589f1b3169b6f44141624547a">SCUART_READ</a>(sc)</td></tr>
<tr class="memdesc:ga88bae72589f1b3169b6f44141624547a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read Rx data register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88bae72589f1b3169b6f44141624547a">More...</a><br /></td></tr>
<tr class="separator:ga88bae72589f1b3169b6f44141624547a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ca8f849e3eaeb01f952b6cb1dbe1541"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ca8f849e3eaeb01f952b6cb1dbe1541">SCUART_GET_RX_EMPTY</a>(sc)</td></tr>
<tr class="memdesc:ga1ca8f849e3eaeb01f952b6cb1dbe1541"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get RX FIFO empty flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ca8f849e3eaeb01f952b6cb1dbe1541">More...</a><br /></td></tr>
<tr class="separator:ga1ca8f849e3eaeb01f952b6cb1dbe1541"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2d24494fa612e242b2ea2a60ee68be4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae2d24494fa612e242b2ea2a60ee68be4">SCUART_GET_RX_FULL</a>(sc)</td></tr>
<tr class="memdesc:gae2d24494fa612e242b2ea2a60ee68be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get RX FIFO full flag status from register.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae2d24494fa612e242b2ea2a60ee68be4">More...</a><br /></td></tr>
<tr class="separator:gae2d24494fa612e242b2ea2a60ee68be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacb5fa124fb760f55f2a665ebf8c0adec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacb5fa124fb760f55f2a665ebf8c0adec">SCUART_IS_RX_READY</a>(sc)</td></tr>
<tr class="memdesc:gacb5fa124fb760f55f2a665ebf8c0adec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if receive data number in FIFO reach FIFO trigger level or not.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacb5fa124fb760f55f2a665ebf8c0adec">More...</a><br /></td></tr>
<tr class="separator:gacb5fa124fb760f55f2a665ebf8c0adec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabed93c507f065541101aadad083ad977"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabed93c507f065541101aadad083ad977">SCUART_IS_RX_FULL</a>(sc)</td></tr>
<tr class="memdesc:gabed93c507f065541101aadad083ad977"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified smartcard port receive FIFO is full or not.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabed93c507f065541101aadad083ad977">More...</a><br /></td></tr>
<tr class="separator:gabed93c507f065541101aadad083ad977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0732a8dc945c1bd0c4fd5bd6cdc0961f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0732a8dc945c1bd0c4fd5bd6cdc0961f">SCUART_ENABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:ga0732a8dc945c1bd0c4fd5bd6cdc0961f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable specified interrupts.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0732a8dc945c1bd0c4fd5bd6cdc0961f">More...</a><br /></td></tr>
<tr class="separator:ga0732a8dc945c1bd0c4fd5bd6cdc0961f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbd3b2c2a7dc29e3531b3b8b92727847"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafbd3b2c2a7dc29e3531b3b8b92727847">SCUART_DISABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:gafbd3b2c2a7dc29e3531b3b8b92727847"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable specified interrupts.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafbd3b2c2a7dc29e3531b3b8b92727847">More...</a><br /></td></tr>
<tr class="separator:gafbd3b2c2a7dc29e3531b3b8b92727847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade73e9b025ce19a926ddef7538c51bcf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade73e9b025ce19a926ddef7538c51bcf">SCUART_GET_INT_FLAG</a>(sc,  u32Type)</td></tr>
<tr class="memdesc:gade73e9b025ce19a926ddef7538c51bcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get specified interrupt flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade73e9b025ce19a926ddef7538c51bcf">More...</a><br /></td></tr>
<tr class="separator:gade73e9b025ce19a926ddef7538c51bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf9aeac7b35c41df81ad822b37b023f11"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9aeac7b35c41df81ad822b37b023f11">SCUART_CLR_INT_FLAG</a>(sc,  u32Type)</td></tr>
<tr class="memdesc:gaf9aeac7b35c41df81ad822b37b023f11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear specified interrupt flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9aeac7b35c41df81ad822b37b023f11">More...</a><br /></td></tr>
<tr class="separator:gaf9aeac7b35c41df81ad822b37b023f11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1734e7857902ed0f12467d7e6bfa9e3d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1734e7857902ed0f12467d7e6bfa9e3d">SCUART_GET_ERR_FLAG</a>(sc)</td></tr>
<tr class="memdesc:ga1734e7857902ed0f12467d7e6bfa9e3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get receive error flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1734e7857902ed0f12467d7e6bfa9e3d">More...</a><br /></td></tr>
<tr class="separator:ga1734e7857902ed0f12467d7e6bfa9e3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga666f5152e172bb4c1cbd1dc4a06b0841"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666f5152e172bb4c1cbd1dc4a06b0841">SCUART_CLR_ERR_FLAG</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:ga666f5152e172bb4c1cbd1dc4a06b0841"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear specified receive error flag/status.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666f5152e172bb4c1cbd1dc4a06b0841">More...</a><br /></td></tr>
<tr class="separator:ga666f5152e172bb4c1cbd1dc4a06b0841"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaee19cdbe4e45656a56c250577c1594c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">SCUART_Close</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gaee19cdbe4e45656a56c250577c1594c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable smartcard interface UART mode.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">More...</a><br /></td></tr>
<tr class="separator:gaee19cdbe4e45656a56c250577c1594c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5ef61f705cf44b678207aaecb2d8b35"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">SCUART_Open</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32baudrate)</td></tr>
<tr class="memdesc:gac5ef61f705cf44b678207aaecb2d8b35"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to enable smartcard module UART mode and set baudrate.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">More...</a><br /></td></tr>
<tr class="separator:gac5ef61f705cf44b678207aaecb2d8b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">SCUART_Read</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</td></tr>
<tr class="memdesc:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to read Rx data from RX FIFO.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">More...</a><br /></td></tr>
<tr class="separator:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">SCUART_SetLineConfig</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Baudrate, uint32_t u32DataWidth, uint32_t u32Parity, uint32_t u32StopBits)</td></tr>
<tr class="memdesc:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to config smartcard UART mode line setting.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">More...</a><br /></td></tr>
<tr class="separator:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0023f5e961b902ed650fec7051b09f2b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">SCUART_SetTimeoutCnt</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TOC)</td></tr>
<tr class="memdesc:ga0023f5e961b902ed650fec7051b09f2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to set receive timeout count.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">More...</a><br /></td></tr>
<tr class="separator:ga0023f5e961b902ed650fec7051b09f2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">SCUART_Write</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</td></tr>
<tr class="memdesc:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is to write data into transmit FIFO to send data out.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">More...</a><br /></td></tr>
<tr class="separator:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
